<?
require "include/bittorrent.php";
dbconn(false);
loggedinorreturn();

if (get_user_class() >= UC_SYSOP) {

$action = $_POST["action"];

if ($action == "yes")
mysql_query("UPDATE torrents SET freeleech='yes', allfreeleech='yes'  WHERE freeleech='no'") or sqlerr(__FILE__, __LINE__);


if ($action == "no")
mysql_query("UPDATE torrents SET freeleech='no', allfreeleech='no' WHERE allfreeleech='yes'") or sqlerr(__FILE__, __LINE__);



    header("Location: $BASEURL/index.php".SID);
    die;
}
else
print("<p style=\"text-align:center;font-size:12pt;\"><b>Dir ist es nicht erlaubt, hier zuzugreifen</b></p>");
?>